Home CVE Database CVE-2017-15021

CVE-2017-15021

Description

bfd_get_debug_link_info_1 in opncls.c in the Binary File Descriptor (BFD) library (aka libbfd), as distributed in GNU Binutils 2.29, allows remote attackers to cause a denial of service (heap-based buffer over-read and application crash) via a crafted ELF file, related to bfd_getl32.

Priority: MEDIUM
CVSS v3: 5.5
Publish Date: Oct 4, 2017
Related ID: --
CVSS v2: Medium
Modified Date: Oct 4, 2017

Find out more about CVE-2017-15021 from the MITRE-CVE dictionary and NIST NVD


Products Affected

Login may be required to access defects or downloads.

Related Products

Product Name Status Defect Fixed Downloads
Linux 7 SCP Not Vulnerable -- -- --
Linux 7 CGP Not Vulnerable -- -- --

Comments

binutils

Live chat
Online